Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class JTabbedPane

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JTabbedPane

public class JTabbedPane
extends JComponent
implements java.io.Serializable, Accessible, SwingConstants

A component which lets the user switch between a group of components by clicking on a tab with a given title and/or icon.

Tabs/components are added to a TabbedPane object by using the addTab and insertTab methods. A tab is represented by an index corresponding to the position it was added in, where the first tab has an index equal to 0 and the last tab has an index equal to the tab count minus 1.

The TabbedPane uses a SingleSelectionModel to represent the set of tab indeces and the currently selected index. If the tab count is greater than 0, then there will always be a selected index, which by default will be initialized to the first tab. If the tab count is 0, then the selected index will be -1.

See How to Use Tabbed Panes in The Java Tutorial for further documentation.

For the keyboard keys used by this component in the standard Look and Feel (L&F) renditions, see the JTabbedPane key assignments.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  `SingleSelectionModel`, Serialized Form

Inner Class Summary
`protected class` | `JTabbedPane.AccessibleJTabbedPane` The class used to obtain the accessible role for this object.
`protected class` | `JTabbedPane.ModelListener` We pass ModelChanged events along to the listeners with the tabbedpane (instead of the model itself) as the event source.

Inner classes inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Field Summary
`protected ChangeEvent` | `changeEvent` Only one ChangeEvent is needed per TabPane instance since the event's only (read-only) state is the source property.
`protected ChangeListener` | `changeListener` The changeListener is the listener we add to the model.
`protected SingleSelectionModel` | `model` The default selection model
`protected int` | `tabPlacement` Where the tabs are placed.

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`JTabbedPane()` Creates an empty TabbedPane.
`JTabbedPane(int tabPlacement)` Creates an empty TabbedPane with the specified tab placement of either: TOP, BOTTOM, LEFT, or RIGHT.

Method Summary
`java.awt.Component` | `add(java.awt.Component component)` Adds a component with a tab title defaulting to the name of the component.
`java.awt.Component` | `add(java.awt.Component component, int index)` Adds a component at the specified tab index with a tab title defaulting to the name of the component.
`void` | `add(java.awt.Component component, java.lang.Object constraints)` Adds a component to the tabbed pane.
`void` | `add(java.awt.Component component, java.lang.Object constraints, int index)` Adds a component at the specified tab index.
`java.awt.Component` | `add(java.lang.String title, java.awt.Component component)` Adds a component with the specified tab title.
`void` | `addChangeListener(ChangeListener l)` Adds a ChangeListener to this tabbedpane.
`void` | `addTab(java.lang.String title, java.awt.Component component)` Adds a component represented by a title and no icon.
`void` | `addTab(java.lang.String title, Icon icon, java.awt.Component component)` Adds a component represented by a title and/or icon, either of which can be null.
`void` | `addTab(java.lang.String title, Icon icon, java.awt.Component component, java.lang.String tip)` Adds a component and tip represented by a title and/or icon, either of which can be null.
`protected ChangeListener` | `createChangeListener()` Subclasses that want to handle ChangeEvents differently can override this to return a subclass of ModelListener or another ChangeListener implementation.
`protected void` | `fireStateChanged()` Send a ChangeEvent, whose source is this tabbedpane, to each listener.
`AccessibleContext` | `getAccessibleContext()` Get the AccessibleContext associated with this JComponent
`java.awt.Color` | `getBackgroundAt(int index)` Returns the tab background color at index.
`java.awt.Rectangle` | `getBoundsAt(int index)` Returns the tab bounds at index.
`java.awt.Component` | `getComponentAt(int index)` Returns the component at index.
`Icon` | `getDisabledIconAt(int index)` Returns the tab disabled icon at index.
`java.awt.Color` | `getForegroundAt(int index)` Returns the tab foreground color at index.
`Icon` | `getIconAt(int index)` Returns the tab icon at index.
`SingleSelectionModel` | `getModel()` Returns the model associated with this tabbedpane.
`java.awt.Component` | `getSelectedComponent()` Returns the currently selected component for this tabbedpane.
`int` | `getSelectedIndex()` Returns the currently selected index for this tabbedpane.
`int` | `getTabCount()` Returns the number of tabs in this tabbedpane.
`int` | `getTabPlacement()` Returns the placement of the tabs for this tabbedpane.
`int` | `getTabRunCount()` Returns the number of tab runs currently used to display the tabs.
`java.lang.String` | `getTitleAt(int index)` Returns the tab title at index.
`java.lang.String` | `getToolTipText(java.awt.event.MouseEvent event)` Returns the tooltip text for the component determined by the mouse event location.
`TabbedPaneUI` | `getUI()` Returns the UI object which implements the L&F for this component.
`java.lang.String` | `getUIClassID()` Returns the name of the UI class that implements the L&F for this component.
`int` | `indexOfComponent(java.awt.Component component)` Returns the index of the tab for the specified component.
`int` | `indexOfTab(Icon icon)` Returns the first tab index with a given icon.
`int` | `indexOfTab(java.lang.String title)` Returns the first tab index with a given title, Returns -1 if no tab has this title.
`void` | `insertTab(java.lang.String title, Icon icon, java.awt.Component component, java.lang.String tip, int index)` Inserts a component, at index, represented by a title and/or icon, either of which may be null.
`boolean` | `isEnabledAt(int index)` Returns whether or not the tab at index is currently enabled.
`protected java.lang.String` | `paramString()` Returns a string representation of this JTabbedPane.
`void` | `remove(java.awt.Component component)` Removes the tab which corresponds to the specified component.
`void` | `removeAll()` Removes all the tabs from the tabbedpane.
`void` | `removeChangeListener(ChangeListener l)` Removes a ChangeListener from this tabbedpane.
`void` | `removeTabAt(int index)` Removes the tab at index.
`void` | `setBackgroundAt(int index, java.awt.Color background)` Sets the background color at index to background which can be null, in which case the tab's background color will default to the background color of the tabbedpane.
`void` | `setComponentAt(int index, java.awt.Component component)` Sets the component at index to component.
`void` | `setDisabledIconAt(int index, Icon disabledIcon)` Sets the disabled icon at index to icon which can be null.
`void` | `setEnabledAt(int index, boolean enabled)` Sets whether or not the tab at index is enabled.
`void` | `setForegroundAt(int index, java.awt.Color foreground)` Sets the foreground color at index to foreground which can be null, in which case the tab's foreground color will default to the foreground color of this tabbedpane.
`void` | `setIconAt(int index, Icon icon)` Sets the icon at index to icon which can be null.
`void` | `setModel(SingleSelectionModel model)` Sets the model to be used with this tabbedpane.
`void` | `setSelectedComponent(java.awt.Component c)` Sets the selected component for this tabbedpane.
`void` | `setSelectedIndex(int index)` Sets the selected index for this tabbedpane.
`void` | `setTabPlacement(int tabPlacement)` Sets the tab placement for this tabbedpane.
`void` | `setTitleAt(int index, java.lang.String title)` Sets the title at index to title which can be null.
`void` | `setUI(TabbedPaneUI ui)` Sets the UI object which implements the L&F for this component.
`void` | `updateUI()` Notification from the UIManager that the L&F has changed.

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getAlignmentX, getAlignmentY, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getGraphics, getHeight, getInsets, getInsets, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getTopLevelAncestor, getVisibleRect, getWidth, getX, getY, grabFocus, hasFocus, isDoubleBuffered, isFocusCycleRoot, isFocusTraversable, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, processComponentKeyEvent, processFocusEvent, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setEnabled, setFont, setForeground, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setUI, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`addContainerListener, addImpl, countComponents, deliverEvent, doLayout, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, removeContainerListener, setLayout, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addKeyListener, addMouseListener, addMouseMotionListener, bounds, checkImage, checkImage, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, getBackground, getBounds, getColorModel, getCursor, getFont, getFontMetrics, getForeground, getLocale, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hide, imageUpdate, inside, isEnabled, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processMouseEvent, remove, removeComponentListener, removeFocusListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setCursor, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### tabPlacement

    protected int tabPlacement

  Where the tabs are placed.
  See Also:
    `setTabPlacement(int)`

### model

    protected SingleSelectionModel model

  The default selection model

### changeListener

    protected ChangeListener changeListener

  The changeListener is the listener we add to the model.

### changeEvent

    protected transient ChangeEvent changeEvent

  Only one ChangeEvent is needed per TabPane instance since the event's only (read-only) state is the source property. The source of events generated here is always "this".

Constructor Detail

### JTabbedPane

    public JTabbedPane()

  Creates an empty TabbedPane.
  See Also:
    `addTab(java.lang.String, javax.swing.Icon, java.awt.Component, java.lang.String)`

### JTabbedPane

    public JTabbedPane(int tabPlacement)

  Creates an empty TabbedPane with the specified tab placement of either: TOP, BOTTOM, LEFT, or RIGHT.
  Parameters:
    `tabPlacement` - the placement for the tabs relative to the content
  See Also:
    `addTab(java.lang.String, javax.swing.Icon, java.awt.Component, java.lang.String)`

Method Detail

### getUI

    public TabbedPaneUI getUI()

  Returns the UI object which implements the L&F for this component.
  See Also:
    `setUI(javax.swing.plaf.TabbedPaneUI)`

### setUI

    public void setUI(TabbedPaneUI ui)

  Sets the UI object which implements the L&F for this component.
  Parameters:
    `ui` - the new UI object
  See Also:
    `UIDefaults.getUI(javax.swing.JComponent)`

### updateUI

    public void updateUI()

  Notification from the UIManager that the L&F has changed. Called to replace the UI with the latest version from the default UIFactory.
  Overrides:
    updateUI in class JComponent
  See Also:
    `JComponent.updateUI()`

### getUIClassID

    public java.lang.String getUIClassID()

  Returns the name of the UI class that implements the L&F for this component.
  Returns:
    "TabbedPaneUI"
  Overrides:
    getUIClassID in class JComponent
  See Also:
    `JComponent.getUIClassID()`, `UIDefaults.getUI(javax.swing.JComponent)`

### createChangeListener

    protected ChangeListener createChangeListener()

  Subclasses that want to handle ChangeEvents differently can override this to return a subclass of ModelListener or another ChangeListener implementation.
  See Also:
    `fireStateChanged()`

### addChangeListener

    public void addChangeListener(ChangeListener l)

  Adds a ChangeListener to this tabbedpane.
  Parameters:
    `l` - the ChangeListener to add
  See Also:
    `fireStateChanged()`, `removeChangeListener(javax.swing.event.ChangeListener)`

### removeChangeListener

    public void removeChangeListener(ChangeListener l)

  Removes a ChangeListener from this tabbedpane.
  Parameters:
    `l` - the ChangeListener to remove
  See Also:
    `fireStateChanged()`, `addChangeListener(javax.swing.event.ChangeListener)`

### fireStateChanged

    protected void fireStateChanged()

  Send a ChangeEvent, whose source is this tabbedpane, to each listener. This method method is called each time a ChangeEvent is received from the model.
  See Also:
    `addChangeListener(javax.swing.event.ChangeListener)`, `EventListenerList`

### getModel

    public SingleSelectionModel getModel()

  Returns the model associated with this tabbedpane.
  See Also:
    `setModel(javax.swing.SingleSelectionModel)`

### setModel

    public void setModel(SingleSelectionModel model)

  Sets the model to be used with this tabbedpane.
  Parameters:
    `model` - the model to be used
  See Also:
    `getModel()`

### getTabPlacement

    public int getTabPlacement()

  Returns the placement of the tabs for this tabbedpane.
  See Also:
    `setTabPlacement(int)`

### setTabPlacement

    public void setTabPlacement(int tabPlacement)

  Sets the tab placement for this tabbedpane. Possible values are:
  - SwingConstants.TOP
  - SwingConstants.BOTTOM
  - SwingConstants.LEFT
  - SwingConstants.RIGHT
  The default value, if not set, is TOP.
  Parameters:
    `tabPlacement` - the placement for the tabs relative to the content

### getSelectedIndex

    public int getSelectedIndex()

  Returns the currently selected index for this tabbedpane. Returns -1 if there is no currently selected tab.
  Returns:
    the index of the selected tab
  See Also:
    `setSelectedIndex(int)`

### setSelectedIndex

    public void setSelectedIndex(int index)

  Sets the selected index for this tabbedpane.
  See Also:
    `getSelectedIndex()`, `SingleSelectionModel.setSelectedIndex(int)`

### getSelectedComponent

    public java.awt.Component getSelectedComponent()

  Returns the currently selected component for this tabbedpane. Returns null if there is no currently selected tab.
  Returns:
    the component corresponding to the selected tab
  See Also:
    `setSelectedComponent(java.awt.Component)`

### setSelectedComponent

    public void setSelectedComponent(java.awt.Component c)

  Sets the selected component for this tabbedpane. This will automatically set the selectedIndex to the index corresponding to the specified component.
  See Also:
    `getSelectedComponent()`

### insertTab

    public void insertTab(java.lang.String title,
                          Icon icon,
                          java.awt.Component component,
                          java.lang.String tip,
                          int index)

  Inserts a component, at index, represented by a title and/or icon, either of which may be null. Uses java.util.Vector internally, see insertElementAt() for details of insertion conventions.
  Parameters:
    `title` - the title to be displayed in this tab
    `icon` - the icon to be displayed in this tab
    `component` - The component to be displayed when this tab is clicked.
    `tip` - the tooltip to be displayed for this tab
    `index` - the position to insert this new tab
  See Also:
    `addTab(java.lang.String, javax.swing.Icon, java.awt.Component, java.lang.String)`, `removeTabAt(int)`

### addTab

    public void addTab(java.lang.String title,
                       Icon icon,
                       java.awt.Component component,
                       java.lang.String tip)

  Adds a component and tip represented by a title and/or icon, either of which can be null. Cover method for insertTab().
  Parameters:
    `title` - the title to be displayed in this tab
    `icon` - the icon to be displayed in this tab
    `component` - The component to be displayed when this tab is clicked.
    `tip` - the tooltip to be displayed for this tab
  See Also:
    `insertTab(java.lang.String, javax.swing.Icon, java.awt.Component, java.lang.String, int)`, `removeTabAt(int)`

### addTab

    public void addTab(java.lang.String title,
                       Icon icon,
                       java.awt.Component component)

  Adds a component represented by a title and/or icon, either of which can be null. Cover method for insertTab().
  Parameters:
    `title` - the title to be displayed in this tab
    `icon` - the icon to be displayed in this tab
    `component` - The component to be displayed when this tab is clicked.
  See Also:
    `insertTab(java.lang.String, javax.swing.Icon, java.awt.Component, java.lang.String, int)`, `removeTabAt(int)`

### addTab

    public void addTab(java.lang.String title,
                       java.awt.Component component)

  Adds a component represented by a title and no icon. Cover method for insertTab().
  Parameters:
    `title` - the title to be displayed in this tab
    `component` - The component to be displayed when this tab is clicked.
  See Also:
    `insertTab(java.lang.String, javax.swing.Icon, java.awt.Component, java.lang.String, int)`, `removeTabAt(int)`

### add

    public java.awt.Component add(java.awt.Component component)

  Adds a component with a tab title defaulting to the name of the component. Cover method for insertTab().
  Parameters:
    `component` - The component to be displayed when this tab is clicked.
  Overrides:
    add in class java.awt.Container
  See Also:
    `insertTab(java.lang.String, javax.swing.Icon, java.awt.Component, java.lang.String, int)`, `removeTabAt(int)`

### add

    public java.awt.Component add(java.lang.String title,
                                  java.awt.Component component)

  Adds a component with the specified tab title. Cover method for insertTab().
  Parameters:
    `title` - the title to be displayed in this tab
    `component` - The component to be displayed when this tab is clicked.
  Overrides:
    add in class java.awt.Container
  See Also:
    `insertTab(java.lang.String, javax.swing.Icon, java.awt.Component, java.lang.String, int)`, `removeTabAt(int)`

### add

    public java.awt.Component add(java.awt.Component component,
                                  int index)

  Adds a component at the specified tab index with a tab title defaulting to the name of the component. Cover method for insertTab().
  Parameters:
    `component` - The component to be displayed when this tab is clicked.
    `index` - the position to insert this new tab
  Overrides:
    add in class java.awt.Container
  See Also:
    `insertTab(java.lang.String, javax.swing.Icon, java.awt.Component, java.lang.String, int)`, `removeTabAt(int)`

### add

    public void add(java.awt.Component component,
                    java.lang.Object constraints)

  Adds a component to the tabbed pane. If constraints is a String or an Icon, it will be used for the tab title, otherwise the component's name will be used as the tab title. Cover method for insertTab().
  Parameters:
    `component` - The component to be displayed when this tab is clicked.
  Overrides:
    add in class java.awt.Container
  See Also:
    `insertTab(java.lang.String, javax.swing.Icon, java.awt.Component, java.lang.String, int)`, `removeTabAt(int)`

### add

    public void add(java.awt.Component component,
                    java.lang.Object constraints,
                    int index)

  Adds a component at the specified tab index. If constraints is a String or an Icon, it will be used for the tab title, otherwise the component's name will be used as the tab title. Cover method for insertTab().
  Parameters:
    `component` - The component to be displayed when this tab is clicked.
    `index` - the position to insert this new tab
  Overrides:
    add in class java.awt.Container
  See Also:
    `insertTab(java.lang.String, javax.swing.Icon, java.awt.Component, java.lang.String, int)`, `removeTabAt(int)`

### removeTabAt

    public void removeTabAt(int index)

  Removes the tab at index. After the component associated with index is removed, its visibility is reset to true to ensure it will be visible if added to other containers.
  Parameters:
    `index` - the index of the tab to be removed
  See Also:
    `addTab(java.lang.String, javax.swing.Icon, java.awt.Component, java.lang.String)`, `insertTab(java.lang.String, javax.swing.Icon, java.awt.Component, java.lang.String, int)`

### remove

    public void remove(java.awt.Component component)

  Removes the tab which corresponds to the specified component.
  Parameters:
    `component` - the component to remove from the tabbedpane
  Overrides:
    remove in class java.awt.Container
  See Also:
    `addTab(java.lang.String, javax.swing.Icon, java.awt.Component, java.lang.String)`, `removeTabAt(int)`

### removeAll

    public void removeAll()

  Removes all the tabs from the tabbedpane.
  Overrides:
    removeAll in class java.awt.Container
  See Also:
    `addTab(java.lang.String, javax.swing.Icon, java.awt.Component, java.lang.String)`, `removeTabAt(int)`

### getTabCount

    public int getTabCount()

  Returns the number of tabs in this tabbedpane.
  Returns:
    an int specifying the number of tabbed pages

### getTabRunCount

    public int getTabRunCount()

  Returns the number of tab runs currently used to display the tabs.
  Returns:
    an int giving the number of rows if the tabPlacement is TOP or BOTTOM and the number of columns if tabPlacement is LEFT or RIGHT, or 0 if there is no UI set on this tabbedpane

### getTitleAt

    public java.lang.String getTitleAt(int index)

  Returns the tab title at index.
  See Also:
    `setTitleAt(int, java.lang.String)`

### getIconAt

    public Icon getIconAt(int index)

  Returns the tab icon at index.
  See Also:
    `setIconAt(int, javax.swing.Icon)`

### getDisabledIconAt

    public Icon getDisabledIconAt(int index)

  Returns the tab disabled icon at index.
  See Also:
    `setDisabledIconAt(int, javax.swing.Icon)`

### getBackgroundAt

    public java.awt.Color getBackgroundAt(int index)

  Returns the tab background color at index.
  See Also:
    `setBackgroundAt(int, java.awt.Color)`

### getForegroundAt

    public java.awt.Color getForegroundAt(int index)

  Returns the tab foreground color at index.
  See Also:
    `setForegroundAt(int, java.awt.Color)`

### isEnabledAt

    public boolean isEnabledAt(int index)

  Returns whether or not the tab at index is currently enabled.
  See Also:
    `setEnabledAt(int, boolean)`

### getComponentAt

    public java.awt.Component getComponentAt(int index)

  Returns the component at index.
  See Also:
    `setComponentAt(int, java.awt.Component)`

### getBoundsAt

    public java.awt.Rectangle getBoundsAt(int index)

  Returns the tab bounds at index. If the tab at this index is not currently visible in the UI, then returns null. If there is no UI set on this tabbedpane, then returns null.

### setTitleAt

    public void setTitleAt(int index,
                           java.lang.String title)

  Sets the title at index to title which can be null. An internal exception is raised if there is no tab at that index.
  Parameters:
    `index` - the tab index where the title should be set
    `title` - the title to be displayed in the tab
  See Also:
    `getTitleAt(int)`

### setIconAt

    public void setIconAt(int index,
                          Icon icon)

  Sets the icon at index to icon which can be null. An internal exception is raised if there is no tab at that index.
  Parameters:
    `index` - the tab index where the icon should be set
    `icon` - the icon to be displayed in the tab
  See Also:
    `getIconAt(int)`

### setDisabledIconAt

    public void setDisabledIconAt(int index,
                                  Icon disabledIcon)

  Sets the disabled icon at index to icon which can be null. An internal exception is raised if there is no tab at that index.
  Parameters:
    `index` - the tab index where the disabled icon should be set
    `icon` - the icon to be displayed in the tab when disabled
  See Also:
    `getDisabledIconAt(int)`

### setBackgroundAt

    public void setBackgroundAt(int index,
                                java.awt.Color background)

  Sets the background color at index to background which can be null, in which case the tab's background color will default to the background color of the tabbedpane. An internal exception is raised if there is no tab at that index.
  Parameters:
    `index` - the tab index where the background should be set
    `background` - the color to be displayed in the tab's background
  See Also:
    `getBackgroundAt(int)`

### setForegroundAt

    public void setForegroundAt(int index,
                                java.awt.Color foreground)

  Sets the foreground color at index to foreground which can be null, in which case the tab's foreground color will default to the foreground color of this tabbedpane. An internal exception is raised if there is no tab at that index.
  Parameters:
    `index` - the tab index where the foreground should be set
    `foreground` - the color to be displayed as the tab's foreground
  See Also:
    `getForegroundAt(int)`

### setEnabledAt

    public void setEnabledAt(int index,
                             boolean enabled)

  Sets whether or not the tab at index is enabled. An internal exception is raised if there is no tab at that index.
  Parameters:
    `index` - the tab index which should be enabled/disabled
    `enabled` - whether or not the tab should be enabled
  See Also:
    `isEnabledAt(int)`

### setComponentAt

    public void setComponentAt(int index,
                               java.awt.Component component)

  Sets the component at index to component. An internal exception is raised if there is no tab at that index.
  Parameters:
    `index` - the tab index where this component is being placed
    `component` - the component for the tab
  See Also:
    `getComponentAt(int)`

### indexOfTab

    public int indexOfTab(java.lang.String title)

  Returns the first tab index with a given title, Returns -1 if no tab has this title.
  Parameters:
    `title` - the title for the tab

### indexOfTab

    public int indexOfTab(Icon icon)

  Returns the first tab index with a given icon. Returns -1 if no tab has this icon.
  Parameters:
    `icon` - the icon for the tab

### indexOfComponent

    public int indexOfComponent(java.awt.Component component)

  Returns the index of the tab for the specified component. Returns -1 if there is no tab for this component.
  Parameters:
    `component` - the component for the tab

### getToolTipText

    public java.lang.String getToolTipText(java.awt.event.MouseEvent event)

  Returns the tooltip text for the component determined by the mouse event location.
  Parameters:
    `event` - the MouseEvent that tells where the cursor is lingering
  Returns:
    the String with the tooltip text
  Overrides:
    getToolTipText in class JComponent

### paramString

    protected java.lang.String paramString()

  Returns a string representation of this JTabbedPane. This method is intended to be used only for debugging purposes, and the content and format of the returned string may vary between implementations. The returned string may be empty but may not be `null`.

  Overriding paramString() to provide information about the specific new aspects of the JFC components.

  Returns:
    a string representation of this JTabbedPane.
  Overrides:
    paramString in class JComponent

### getAccessibleContext

    public AccessibleContext getAccessibleContext()

  Get the AccessibleContext associated with this JComponent
  Specified by:
    getAccessibleContext in interface Accessible
  Returns:
    the AccessibleContext of this JComponent
  Overrides:
    getAccessibleContext in class JComponent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.